Bug 134344 - crtl-alt-bkspace does not logout user
crtl-alt-bkspace does not logout user
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-01 11:15 EDT by akonstam
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 10:21:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description akonstam 2004-10-01 11:15:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
In all versions of RedHat products up though FC1 typing
ctl-alt-bkspace logs the user off and restarts the X server.

In the FC2 the following results:
a. 2 lines in the last command output, one indicating the user logged off
and the other saying user is gone - no logout

b. restarts the X server.

c. when a user logs into the machine it is found that the w, who and
users command indicate the original user is still logged on.

d. at times there remain zombie processes owned by the original user.


Version-Release number of selected component (if applicable):
xorg-x11-xdm-6.7.0-5

How reproducible:
Always

Steps to Reproduce:
1.login as user1
2.hit <ctl>-<alt>-<bkspave>
3.login as user 2
4, If you run the commands w, who or users they report user1 is still
logged on.
5, What does not happen every time is a process ran by user1 sometines
appears in the ps list.

Actual Results:  The results are that w, who and users report that
users who had logged on previously are still logged in. Further the
last command contains two lines related to user1, One says he had
logged off and the other says he is gone - no logout

Expected Results:  What should have happened si when user1 typed
<ctl>-<alt>-<backspace> thre would be logged off and the X-server
would be rewstarted. No record of the login would remain in th output
of the w, who or users command.
And the last command's output would show he had logged off.

Additional info:
Comment 1 Warren Togami 2004-10-05 00:52:34 EDT
Can you list processes owned by that user from ps output?
Comment 2 akonstam 2004-10-08 10:20:49 EDT
I will try to show some examples of the processes still running for
users who are logged out below:
chill7   19220  0.0  0.3  3584  944 ?        S    Oct07   0:00
/usr/bin/esd -terminate -nobeeps -as 2 -spawnfd 28
nchea    11116  0.0  0.5 11904 1260 ?        S    Oct05   0:00
/usr/bin/artsd -F 10 -S 4096 -s 60 -m artsmessage -l 3 -f

artsd seems to be a typical process that stays behind.
Comment 3 Mike A. Harris 2005-03-06 18:44:11 EST
KDE starts up artsd, and gnome starts up esd.  If they're left
running, that should be filed against GNOME/KDE respectively.

Whatever is logging login events to utmp, doesn't seem to be
clearing them at logout.  Can you track down what is doing this
while X is running still?  
Comment 4 Mike A. Harris 2005-04-15 10:21:16 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.